Bug 856653 - AVC denials starting OpenStack glance services
AVC denials starting OpenStack glance services
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 10:15 EDT by Pádraig Brady
Modified: 2016-01-04 09:44 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 801330
Environment:
Last Closed: 2012-12-20 10:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-09-12 10:15:29 EDT
selinux-policy-targeted-3.10.0-146.fc17.noarch
openstack-glance-2012.2-0.4.f3.fc18.noarch

type=AVC msg=audit(1347442614.780:521): avc:  denied  { search } for
  pid=26111 comm="glance-api" name="mysql" dev="dm-1" ino=272120
  scontext=system_u:system_r:glance_api_t:s0
  tcontext=system_u:object_r:mysqld_db_t:s0 tclass=dir

With essex the glance-registry service needed access to mysql,
now with folsom we need to give access to glance-api also.

Workaround:
  setenforce 0; service openstack-glance-api restart; setenforce 1
Comment 1 Miroslav Grepl 2012-09-14 09:35:02 EDT
Added.
Comment 2 Fedora Update System 2012-09-26 00:51:03 EDT
selinux-policy-3.11.1-25.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-25.fc18
Comment 3 Fedora Update System 2012-09-26 17:18:26 EDT
Package selinux-policy-3.11.1-25.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-25.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14807/selinux-policy-3.11.1-25.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:31:30 EST
selinux-policy-3.11.1-25.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.